import requests
url = "https://api.paywise.de/partner/v1/companies/{id}/"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.paywise.de/partner/v1/companies/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.patch("https://api.paywise.de/partner/v1/companies/{id}/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\"\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/partner/v1/companies/{id}/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"name\": \"<string>\"\n}", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request PATCH \
--url https://api.paywise.de/partner/v1/companies/{id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'{
"href": "<string>",
"name": "<string>",
"phone": "<string>",
"data_submission_completed": false,
"id": "<string>",
"address": {
"street": "<string>",
"zip": "<string>",
"city": "<string>",
"country": "AF"
},
"vat_number": "<string>",
"users": [
{
"href": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"company": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email_verified": true,
"id": "<string>",
"notification_channels": [
{
"channel_type": "EMAIL",
"value": "<string>",
"notification_types": [
"STATUS_UPDATE"
]
}
]
}
],
"default_claim_type": "H05",
"legal_form": "<string>",
"legal_representatives": [
{
"type": "gesellschafter",
"name": "<string>"
}
],
"tax_deduction_eligibility": "J",
"notification_channels": [
{
"channel_type": "EMAIL",
"value": "<string>",
"notification_types": [
"STATUS_UPDATE"
]
}
],
"iban": "<string>"
}{
"detail": "<string>"
}Frozen v1 · Update Company
Update a Company. Once the Data Submission was completed, cannot be updated anymore
import requests
url = "https://api.paywise.de/partner/v1/companies/{id}/"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.paywise.de/partner/v1/companies/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.patch("https://api.paywise.de/partner/v1/companies/{id}/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\"\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/partner/v1/companies/{id}/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"name\": \"<string>\"\n}", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request PATCH \
--url https://api.paywise.de/partner/v1/companies/{id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'{
"href": "<string>",
"name": "<string>",
"phone": "<string>",
"data_submission_completed": false,
"id": "<string>",
"address": {
"street": "<string>",
"zip": "<string>",
"city": "<string>",
"country": "AF"
},
"vat_number": "<string>",
"users": [
{
"href": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"company": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email_verified": true,
"id": "<string>",
"notification_channels": [
{
"channel_type": "EMAIL",
"value": "<string>",
"notification_types": [
"STATUS_UPDATE"
]
}
]
}
],
"default_claim_type": "H05",
"legal_form": "<string>",
"legal_representatives": [
{
"type": "gesellschafter",
"name": "<string>"
}
],
"tax_deduction_eligibility": "J",
"notification_channels": [
{
"channel_type": "EMAIL",
"value": "<string>",
"notification_types": [
"STATUS_UPDATE"
]
}
],
"iban": "<string>"
}{
"detail": "<string>"
}Autorisierungen
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Pfadparameter
Body
1Name of the company
1The company's postal address
Show child attributes
Show child attributes
Phone number of the company (max 50 characters)
1VAT ID (Umsatzsteuer-Identifikationsnummer), must adhere to the german schema for VAT IDs
1Users registered within this company (read only)
Show child attributes
Show child attributes
The company's default claim type (Vertragsart/Forderungsart)
H05- DienstleistungsvertragH43- Warenlieferung/-enH22- MitgliedsbeitragH21- MieteH11- KaufvertragH44- Werkvertrag/WerklieferungsvertragH08- HandwerkerleistungH41- Versicherungsprämie/-beitragH16- Lehrgangs-/UnterrichtskostenH10- HotelkostenH02- Ärztliche oder zahnärztliche LeistungH28- Schadenersatz aus VertragH26- ReparaturleistungH24- Rechtsanwalts-/RechtsbeistandshonorarH06- FrachtkostenH18- Miete für KraftfahrzeugH34- SpeditionskostenH19- Miete für Wohnraum einschl. NebenkostenH42- Versorgungsleistung - Strom, Wasser, Gas, Wärme-H17- Miete für Geschäftsraum einschl. NebenkostenH45- Zeitungs-/ZeitschriftenbezugH37- Ungerechtfertigte BereicherungH29- Schadenersatz aus Unfall/VorfallH01- Anzeigen in Zeitungen u.a.H78- Tierärztliche LeistungH14- LagerkostenH77- KrankentransportkostenH40- Vermittlungs-/MaklerprovisionH15- Leasing/MietkaufH23- PachtH04- DarlehensrückzahlungH20- Mietnebenkosten - auch Renovierungskosten-H79- VerpflegungskostenH75- ReisevertragH33- SchuldanerkenntnisH39- Vergleich, außergerichtlicherH70- KindertagesstättenbeitragH90- Wohngeld/Hausgeld für WohnungseigentümergemeinschaftH09- HeimunterbringungH03- BürgschaftH07- Geschäftsbesorgung durch SelbständigeH12- KontokorrentabrechnungH13- Krankenhauskosten-Pflege/BehandlungH36- Überziehung des BankkontosH61- Wahlleistungen bei stationärer BehandlungH76- Telekommunikationsleistungen
H05, H43, H22, H21, H11, H44, H08, H41, H16, H10, H02, H28, H26, H24, H06, H18, H34, H19, H42, H17, H45, H37, H29, H01, H78, H14, H77, H40, H15, H23, H04, H20, H79, H75, H33, H39, H70, H90, H09, H03, H07, H12, H13, H36, H61, H76 Legal Form of the company
1The company's legal representatives (if required)
Show child attributes
Show child attributes
The company's input tax deduction eligibility (Vorsteuerabzugsberechtigung)
J- VorsteuerabzugsberechtigtN- Nicht vorsteuerabzugsberechtigtK- Reverse-Charge-VerfahrenA- Nicht steuerbare Umsätze - Drittlandunternehmer
J, N, K, A Notification settings for the company
Show child attributes
Show child attributes
The company's payout account to which collected funds will be transferred.
1 - 32Antwort
Name of the company
Phone number of the company (max 50 characters)
Indicates whether the data for the company was completely submitted, either through API or provided by a user. You can only start creating claims once this is completed.
The company's postal address
Show child attributes
Show child attributes
VAT ID (Umsatzsteuer-Identifikationsnummer), must adhere to the german schema for VAT IDs
Users registered within this company (read only)
Show child attributes
Show child attributes
The company's default claim type (Vertragsart/Forderungsart)
H05- DienstleistungsvertragH43- Warenlieferung/-enH22- MitgliedsbeitragH21- MieteH11- KaufvertragH44- Werkvertrag/WerklieferungsvertragH08- HandwerkerleistungH41- Versicherungsprämie/-beitragH16- Lehrgangs-/UnterrichtskostenH10- HotelkostenH02- Ärztliche oder zahnärztliche LeistungH28- Schadenersatz aus VertragH26- ReparaturleistungH24- Rechtsanwalts-/RechtsbeistandshonorarH06- FrachtkostenH18- Miete für KraftfahrzeugH34- SpeditionskostenH19- Miete für Wohnraum einschl. NebenkostenH42- Versorgungsleistung - Strom, Wasser, Gas, Wärme-H17- Miete für Geschäftsraum einschl. NebenkostenH45- Zeitungs-/ZeitschriftenbezugH37- Ungerechtfertigte BereicherungH29- Schadenersatz aus Unfall/VorfallH01- Anzeigen in Zeitungen u.a.H78- Tierärztliche LeistungH14- LagerkostenH77- KrankentransportkostenH40- Vermittlungs-/MaklerprovisionH15- Leasing/MietkaufH23- PachtH04- DarlehensrückzahlungH20- Mietnebenkosten - auch Renovierungskosten-H79- VerpflegungskostenH75- ReisevertragH33- SchuldanerkenntnisH39- Vergleich, außergerichtlicherH70- KindertagesstättenbeitragH90- Wohngeld/Hausgeld für WohnungseigentümergemeinschaftH09- HeimunterbringungH03- BürgschaftH07- Geschäftsbesorgung durch SelbständigeH12- KontokorrentabrechnungH13- Krankenhauskosten-Pflege/BehandlungH36- Überziehung des BankkontosH61- Wahlleistungen bei stationärer BehandlungH76- Telekommunikationsleistungen
H05, H43, H22, H21, H11, H44, H08, H41, H16, H10, H02, H28, H26, H24, H06, H18, H34, H19, H42, H17, H45, H37, H29, H01, H78, H14, H77, H40, H15, H23, H04, H20, H79, H75, H33, H39, H70, H90, H09, H03, H07, H12, H13, H36, H61, H76 Legal Form of the company
The company's legal representatives (if required)
Show child attributes
Show child attributes
The company's input tax deduction eligibility (Vorsteuerabzugsberechtigung)
J- VorsteuerabzugsberechtigtN- Nicht vorsteuerabzugsberechtigtK- Reverse-Charge-VerfahrenA- Nicht steuerbare Umsätze - Drittlandunternehmer
J, N, K, A Notification settings for the company
Show child attributes
Show child attributes
The company's payout account to which collected funds will be transferred.
32